import { OnInit, ViewContainerRef } from '@angular/core';
/**
 * 将指定组件或者指令渲染到当前指令所在节点
 */
export declare class AttachDirective implements OnInit {
    private _viewContainerRef;
    /**
     * 任何组件或者指令
     */
    nbAttach: any;
    constructor(_viewContainerRef: ViewContainerRef);
    ngOnInit(): void;
}
